%define upstream_name    Monitoring-Livestatus
%define upstream_version 0.74

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Connector with multiple peers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Monitoring/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::UNIX)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.870.0
BuildRequires: perl(Thread::Queue) >= 2.110.0
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
This module connects via socket/tcp to the check_mk livestatus addon for
Nagios and Icinga. You first have to install and activate the mklivestatus
addon in your monitoring installation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jun 15 2011 jquelin <jquelin> 0.740.0-1.mga2
+ Revision: 107083
- update to 0.74

* Tue Apr 19 2011 jquelin <jquelin> 0.720.0-1.mga1
+ Revision: 88538
- update to 0.72

* Thu Mar 24 2011 jquelin <jquelin> 0.680.0-1.mga1
+ Revision: 76654
- update to 0.68

* Mon Jan 24 2011 jquelin <jquelin> 0.640.0-1.mga1
+ Revision: 37095
- mageia rebuild
- imported package perl-Monitoring-Livestatus


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.640.0-1mdv2011.0
+ Revision: 627147
- import perl-Monitoring-Livestatus

